=== src/kioworkers/CMakeLists.txt ===
add_subdirectory( ftp )
add_subdirectory( help )
add_subdirectory( http )
add_subdirectory( remote )
